<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="ProductExistsById"
   BindingStyle="OracleName"
   CustomQuery="true"
   ComponentClass="oracle.srdemo.model.entities.validationqueries.ProductExistsByIdImpl"
   FetchMode="FETCH_AS_NEEDED"
   MaxFetchSize="1"
   UseGlueCode="false" >
   <DesignTime>
      <Attr Name="_isExpertMode" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_codeGenFlag2" Value="Access|Coll|VarAccess" />
   </DesignTime>
   <Variable
      Name="TheProductId"
      Kind="where"
      Type="oracle.jbo.domain.Number" >
   </Variable>
   <SQLQuery><![CDATA[
select NULL as product_exists
from products
where prod_id = :TheProductId
   ]]></SQLQuery>
   <ViewAttribute
      Name="ProductExists"
      IsUpdateable="false"
      IsPersistent="false"
      Precision="1"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      AliasName="PRODUCT_EXISTS"
      Expression="PRODUCT_EXISTS"
      SQLType="VARCHAR" >
   </ViewAttribute>
</ViewObject>
